package com.goafanti.comment.bo;

import com.goafanti.core.mybatis.page.Pagination;

public class CommentResult {
	Integer positiveCommentCount;
	Integer	negativeCommentCount;
	Integer ordinaryCommentCount;
	Integer totalCommentCount;
	Pagination<CommentDetailResult> comments;

	public Integer getPositiveCommentCount() {
		return positiveCommentCount;
	}
	public void setPositiveCommentCount(Integer positiveCommentCount) {
		this.positiveCommentCount = positiveCommentCount;
	}
	public Integer getNegativeCommentCount() {
		return negativeCommentCount;
	}
	public void setNegativeCommentCount(Integer negativeCommentCount) {
		this.negativeCommentCount = negativeCommentCount;
	}
	public Integer getOrdinaryCommentCount() {
		return ordinaryCommentCount;
	}
	public void setOrdinaryCommentCount(Integer ordinaryCommentCount) {
		this.ordinaryCommentCount = ordinaryCommentCount;
	}
	public Integer getTotalCommentCount() {
		return totalCommentCount;
	}
	public void setTotalCommentCount(Integer totalCommentCount) {
		this.totalCommentCount = totalCommentCount;
	}
	public Pagination<CommentDetailResult> getComments() {
		return comments;
	}
	public void setComments(Pagination<CommentDetailResult> comments) {
		this.comments = comments;
		setTotalCommentCount(comments.getTotalCount());
	}
	
}
